Security Enhanced Linux Reference Policy

# Layer: apps

## Module: evolution

Interfaces

### Description:

Evolution email client

### Interfaces:

evolution_alarm_dbus_chat( domain )

##### Summary

Send and receive messages from evolution_alarm over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

evolution_dbus_chat( domain )

##### Summary

Send and receive messages from evolution over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

evolution_home_filetrans( domain , file_type , class )

##### Summary

Create objects in users evolution home folders.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
file_type | Private file type.
class | The object class of the object being created.

evolution_role( role , domain )

##### Summary

Role access for evolution

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

evolution_stream_connect( domain )

##### Summary

Connect to evolution unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return